﻿
@{
    ViewBag.Title = "Login";
    Layout = "~/Views/Shared/_LoginTemplate.cshtml";
}

<section class="ftco-section">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-7 col-lg-5">
                <div class="login-wrap p-4 p-md-5">
                    <div class="icon d-flex align-items-center justify-content-center">
                        <span><i class="fas fa-user"></i></span>
                    </div>
                    <h3 class="text-center mb-4">Sign In</h3>
                    <form id="login-form">
                        <div class="card-body">
                            <div class="form-group">
                                <label for="exampleInputEmail1">Email / Username</label>
                                <input type="text" name="Email" class="form-control" id="exampleInputEmail1" placeholder="Enter email / username" required>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputPassword1">Password</label>
                                <input type="password" name="Password" class="form-control btn-block" id="exampleInputPassword1" placeholder="Enter Password" required>
                            </div>
                            <div class="form-group mb-0">
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" name="Remember" class="custom-control-input" id="exampleCheck1">
                                    <label class="custom-control-label" for="exampleCheck1">Remember me</label>
                                </div>
                            </div>
                            </div>
                            <div class="card-footer">
                                <button type="submit" class="btn btn-primary btn-block">Login</button>
                            </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>

@section scripts{
    <script>
        $("#login-form").submit(function (event) {
            event.preventDefault();
            $.ajax({
                url: "Login",
                type: "post",
                dataType: "json",
                data: $(this).serialize(),
                success: function (data) {
                    if (data.metaData.code == 200) {

                        window.location.href = "https://localhost:44334/Home/Index";
                    } else {
                        $('#modalAddUser').modal('hide');
                        messageFailed(data.metaData.message);
                    }
                },
                error: function (result) {
                    console.log("error", result);
                    messageFailed(data.metaData.message);
                }
            });
        });
    </script>
}


